/*
 * main.c
 *
 *  Created on: 24-02-2013
 *      Author: Janusz
 */
#include<avr/io.h>
#include<util/delay.h>

#define MOTOR_A 2
#define MOTOR_B 3
#define RELAY 4
#define INPUT 0
#define LED 1

#define MOTOR_RIGHT PORTB=(PORTB|(1<<MOTOR_A))&(~(1<<MOTOR_B))
#define MOTOR_LEFT PORTB=(PORTB|(1<<MOTOR_B))&(~(1<<MOTOR_A))
#define MOTOR_OFF PORTB|=(1<<MOTOR_A)|(1<<MOTOR_B)

#define RELAY_OFF PORTB&=~(1<<RELAY)
#define RELAY_ON PORTB|=(1<<RELAY)

#define LED_READY PORTB&=~(1<<LED)
#define LED_MOTOR PORTB|=(1<<LED)



int main(void)
{
	DDRB|= (1<<MOTOR_A);
	DDRB|= (1<<MOTOR_B);
	DDRB|= (1<<RELAY);
	DDRB|= (1<<LED);
	DDRB&= ~(1<<INPUT);
	PORTB|=(1<<INPUT);


	RELAY_OFF;
	LED_MOTOR;
	_delay_ms(1000);
	LED_READY;
	_delay_ms(1000);
	LED_MOTOR;
	_delay_ms(1000);
	LED_READY;
	_delay_ms(1000);


	uint8_t nastepny=0;
	while(1)
	{
		if(!(PINB&(1<<INPUT)))
		{
			if(nastepny==1)
			{
				MOTOR_LEFT;
				LED_MOTOR;
				RELAY_ON;
				_delay_ms(1000);
				RELAY_OFF;
				LED_READY;
				nastepny=0;
			}
			else
			{
				MOTOR_RIGHT;
				LED_MOTOR;
				_delay_ms(1000);
				LED_READY;
				nastepny=1;
			}
			MOTOR_OFF;
		}
	}
}




